Bug 1559006 - [RFE] Allow to select destination Storage Domain and storage allocation [thin / clone-indipendent] when provisioning from RHV template - a-la VMware
Summary: [RFE] Allow to select destination Storage Domain and storage allocation [thin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: orabin
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks: 1541321 1492108
TreeView+ depends on / blocked
 
Reported: 2018-03-21 13:44 UTC by Andrea Perotti
Modified: 2019-10-22 12:46 UTC (History)
11 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: Enhancement
Doc Text:
In Red Hat Satellite 6.6, you can now select a destination storage domain when creating a host on Red Hat Virtualization. When selecting a template that includes disks for a host, you can change the storage domain and the storage allocation. This clones the disk from the template and changes the storage domain and allocation of the cloned disk, allowing you to select a destination storage domain without needing to manually clone the disk in Red Hat Virtualization first.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
RHV manager gui: choose SD and storage allocation (81.30 KB, image/png)
2018-05-16 09:34 UTC, Andrea Perotti
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14833 None None None 2018-06-27 09:22:33 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:46:56 UTC

Description Andrea Perotti 2018-03-21 13:44:10 UTC
Description of problem:

When Satellite uses a VMware compute resource, the 'new host' procedure allows to deploy a new by using a template image, and in the 'virtual machine' tab, we can select host, cluster, datastore and disk size.

When using RHV compute resource, the possibilities are way more limited, and is only possible to  "add storage", but is not possible to modify the template settings.

This means if the template is on storage domain A, can't be set the storage domain B as target. 

From RHV mgmt console, when deploying from template, those options are selectable.

The Use Case here is to have the possibility to deploy:
- on multiple datacenters 
- on multiple Storage Domains 

from a single basic template and customizing it at provisioning time via Sat6, without using RHV console.

The problem has been verified with RHV 4.1.8 connected to:
- Satellite 6.2.13 
- Satellite 6.3.0

Comment 8 Andrea Perotti 2018-05-16 09:34:55 UTC
Created attachment 1437206 [details]
RHV manager gui: choose SD and storage allocation

Comment 11 orabin 2018-06-27 09:22:30 UTC
Connecting redmine issue https://projects.theforeman.org/issues/14833 from this bug

Comment 17 Bryan Kearney 2019-03-26 12:04:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/14833 has been resolved.

Comment 28 errata-xmlrpc 2019-10-22 12:46:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.